/**
 * Test case for apDemo.
 * Runs with mocha.
 */
'use strict'

const ApDemo = require('../lib/ap_demo.js').default
const React = require('react')
const ReactDOM = require('react-dom/server')
const assert = require('assert')

describe('ap-demo', () => {
  before(() => {
  })

  after(() => {
  })

  it('Render component.', () => {
    let html = ReactDOM.renderToString(
      React.createElement(ApDemo, {
        pkg: require('../package.json'),
        src: require.resolve('../doc/mocks/mock_component')
      })
    )
    assert.ok(html)
  })
})

/* global describe, before, after, it */
